Subject: Re: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Alvaro Ramirez <[email-masked]>
Date: Tue, 22 Jul 2025 15:00:18 +0100

> On 22 Jul 2025, at 14:41, Gerd Möllmann <[email-masked]> wrote:
> 
> Stéphane Marks <[email-masked]> writes:
> 
>> On Tue, Jul 22, 2025 at 9:22 AM Gerd Möllmann <[email-masked]> wrote:
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>>>> Ok to install, Eli?
>>> 
>>> Maybe.  I'm not sure I understand what are the conclusions from your
>>> experience, which eventually needed to use tcutil.  Are we sure this
>>> is just a fluke and not a more fundamental problem?
>> 
>> tccutil is a program that removes entries from a database containing
>> application-specific privacy settings. For example, if an app wants to
>> use the microphone or camera and such, it has to ask for permission, and
>> the result of that lands in that TCC database. 'tcc reset' clears such
>> entries.
>> 
>> It's very possible that I denied Emacs access to the microphone in the
>> past because I routinely do that :-). Also to the camera, of course, and
>> such things. That may have been years ago, because I migrate my settings
>> from machine to machine for a very long time. And if so, it would have
>> been for a different dictation system because that whole thing changed
>> some years ago, around macOS 14, not sure.
>> 
>> Anyway, the current dictation system apparently doesn't require special
>> privacy privileges, i.e. macOS doesn't ask for permission to use the
>> microphone for the current incarnation of dictation. But dictation also
>> doesn't work if one has "deny settings" in the TCC database. After
>> clearing these entries in with `tccutil reset`, Emacs now works like any
>> other app.
>> 
>> So it seems at least. That's about what I can say.
>> 
>> So far, the patch does not work on macOS 12.7.6 (the only version I use across my Intel Macs).  So something else is missing?
> 
> Time for OCLP, given that Monterey not longer receives security updates?

+1 I’d like to propose we treat macOS 12.7.6 / Intel as a separate issue if that’s ok? 

We have a handful of folks who validated the fix is working in this thread https://indieweb.social/@xenodium/114891280426640026

I’ve validated on macOS 15.3 / ARM myself. The thread also mentions macOS 15.5 validated.

>  https://dortania.github.io/OpenCore-Legacy-Patcher/
> 
> (I've used OCLP very successfully on a MBP from 2013 until it finally
> died a year ago :-(.)